summaryrefslogtreecommitdiffstats
path: root/core/modules/hardware-stats/data/opt/openslx/scripts
diff options
context:
space:
mode:
authorSimon Rettberg2017-11-25 23:22:03 +0100
committerSimon Rettberg2017-11-25 23:22:03 +0100
commit2010567358b37ad6bef05ebb0e57a54728683ff9 (patch)
treef4ccc2f22e75bc3ab54427aaa45a96ca58a78538 /core/modules/hardware-stats/data/opt/openslx/scripts
parent[cups] Add missing ghostscript directory for Ubuntu 17.10 (diff)
downloadmltk-2010567358b37ad6bef05ebb0e57a54728683ff9.tar.gz
mltk-2010567358b37ad6bef05ebb0e57a54728683ff9.tar.xz
mltk-2010567358b37ad6bef05ebb0e57a54728683ff9.zip
[hardware-stats] Support reporting suspend/resume
Diffstat (limited to 'core/modules/hardware-stats/data/opt/openslx/scripts')
-rwxr-xr-xcore/modules/hardware-stats/data/opt/openslx/scripts/systemd-hardware_stats1
-rwxr-xr-xcore/modules/hardware-stats/data/opt/openslx/scripts/systemd-hws_standby26
2 files changed, 27 insertions, 0 deletions
diff --git a/core/modules/hardware-stats/data/opt/openslx/scripts/systemd-hardware_stats b/core/modules/hardware-stats/data/opt/openslx/scripts/systemd-hardware_stats
index b13b1f97..255ec9bf 100755
--- a/core/modules/hardware-stats/data/opt/openslx/scripts/systemd-hardware_stats
+++ b/core/modules/hardware-stats/data/opt/openslx/scripts/systemd-hardware_stats
@@ -86,6 +86,7 @@ fi
if [ "${#UUID}" -ne "36" ]; then
echo "Determined UUID (${UUID}) has not expected length of 36, falling back to MAC..."
UUID="000000000000001-$BOOTIF"
+ echo "$UUID" > /etc/system-uuid
fi
echo "UUID=$UUID"
diff --git a/core/modules/hardware-stats/data/opt/openslx/scripts/systemd-hws_standby b/core/modules/hardware-stats/data/opt/openslx/scripts/systemd-hws_standby
new file mode 100755
index 00000000..69276a45
--- /dev/null
+++ b/core/modules/hardware-stats/data/opt/openslx/scripts/systemd-hws_standby
@@ -0,0 +1,26 @@
+#!/bin/ash
+
+# Running as root?
+touch "/run" || exit 2
+
+ACTION=$1
+
+if [ "x$ACTION" != "xresume" ] && [ "x$ACTION" != "xsuspend" ]; then
+ echo "Expecting resume or suspend as argument!" >&2
+ exit 1
+fi
+
+UUID=$(cat /etc/system-uuid)
+
+for DELAY in 1 1 2 3 5 8 0; do
+ echo "Submitting to $SLX_REMOTE_LOG"
+ if curl --data-urlencode "type=~$ACTION" --data-urlencode "uuid=$UUID" "$SLX_REMOTE_LOG" | grep -q "RESULT=0"; then
+ echo "Success"
+ exit 0
+ fi
+ echo "Failed..."
+ sleep "$DELAY"
+done
+echo "Giving up" >&2
+exit 1
+